summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Sterrett <mr_bones_@gentoo.org>2016-05-04 16:13:09 -0400
committerMichael Sterrett <mr_bones_@gentoo.org>2016-05-04 16:41:53 -0400
commitf8c3f9907a86a0fd3bdf7bbde82a54e80177733b (patch)
tree58e7225cf9047a1b70ec1c6399278ebaefcdb629 /games-fps
parentdev-libs/libressl: version bump to 2.2.7 and 2.3.4 (diff)
downloadgentoo-f8c3f9907a86a0fd3bdf7bbde82a54e80177733b.tar.gz
gentoo-f8c3f9907a86a0fd3bdf7bbde82a54e80177733b.tar.bz2
gentoo-f8c3f9907a86a0fd3bdf7bbde82a54e80177733b.zip
games-fps/quake1-data: use blocker instead of pkg_setup code (bug #581536)
Package-Manager: portage-2.2.26
Diffstat (limited to 'games-fps')
-rw-r--r--games-fps/quake1-data/quake1-data-2.40.ebuild14
1 files changed, 2 insertions, 12 deletions
diff --git a/games-fps/quake1-data/quake1-data-2.40.ebuild b/games-fps/quake1-data/quake1-data-2.40.ebuild
index 03074c5b581..602e5db9bf8 100644
--- a/games-fps/quake1-data/quake1-data-2.40.ebuild
+++ b/games-fps/quake1-data/quake1-data-2.40.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -20,20 +20,10 @@ KEYWORDS="amd64 ~ia64 ppc x86"
IUSE=""
DEPEND="app-arch/lha"
-RDEPEND=""
+RDEPEND="!games-fps/quake1-demodata[symlink]"
S=${WORKDIR}
-pkg_setup() {
- games_pkg_setup
-
- if has_version games-fps/quake1-demodata && \
- ! has_version "games-fps/quake1-demodata[symlink]" ; then
- eerror "The symlink for the demo data conflicts with the cdinstall data"
- die "Unmerge games-fps/quake1-demodata to remove the conflict"
- fi
-}
-
src_unpack() {
export CDROM_NAME_SET=("Existing Install" "Quake CD (1.01)" "Ultimate Quake Collection" "Quake CD (newer)")
cdrom_get_cds id1:q101_int.1:Setup/ID1:resource.1